#include "testvolumemanager.h"

void TestVolumeManager::loadAVolume(const std::string & dicomSeriesPath)
{
    VolumeManager::Pointer volManager = VolumeManager::instance();
    MRImageIdObserver::Pointer mrImageIdObserver = MRImageIdObserver::New();
    volManager->AddObserver(VolumeManager::ImageReadyEvent(), mrImageIdObserver);
    
    volManager->requestLoadDicomVolume(dicomSeriesPath);
    if(!mrImageIdObserver->GotMRImageId())
    {
        DicomVolumeObserver::Pointer dicomVolumeObserver = DicomVolumeObserver::New();
        volManager->AddObserver(VolumeManager::FoundVolumeEvent(), dicomVolumeObserver);
        volManager->requestGetVolume(mrImageIdObserver->GetMRImageId());
        if(dicomVolumeObserver->GotDicomVolume())
        {
            mImageSpatialObject = dicomVolumeObserver->GetDicomVolume();
        }
    }
}
